Subject: Re: MPC8343 - "unable to handle paging request @ 0"

From: Andre Schwarz <[email-masked]>
Date: Wed, 09 Apr 2008 21:09:57 +0200

Scott Wood schrieb:
> Andre Schwarz wrote:
>>  -> find_legacy_serial_port()
>> stdout is /soc8343@e0000000/serial@4500
>
> It looks like you have some memory corruption between here...
>
>> clocksource: timebase mult[3c00001] shift[22] registered
>>
>> !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
>>  -> check_legacy_serial_console()
>>  can't find stdout package /soc8343@e0000000/serial@4500 !
>> !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
>
> ...and here.
>
> -Scott

Scott,

are you talking about a possible hardware problem or misbehaving code ?

Does it look like something gets overwritten during initrd 
extraction/movement ?

The system has 512MB RAM which means that we need 2 BAT regs to map the 
memory. I've found comments in Freescale u-boot header files that 
currently a max of 256MB is supported. I never understood why ? Could 
this problem be related to this ?

Do I need to supply reserved memory regions ? I thought u-boot is doing 
so for initrd and the kernel don't need it ...

I'll rebuild u-boot with 256MB memory size and do an extra run with 
memory test - just to make sure.

Any hints where to look else ?

regards,
Andre

MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler  - Registergericht: Amtsgericht Stuttgart, HRB 271090
Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner